Package kiyut.sketsa.windows.defs.gradient

## Class SVGGradientUtilities

- java.lang.Object
- - kiyut.sketsa.windows.defs.gradient.SVGGradientUtilities

-     public class SVGGradientUtilities
      extends Object

  Collection of Gradient Utilities
  Author:
    KIYUT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVGGradientUtilities()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `updateReferenceElement​(String baseUri, String fragment, String newBaseUri, String newFragment, Document doc)` | updateReferenceElement
    `static void` | `updateReferenceElement​(org.w3c.dom.svg.SVGElement element, String newId)` | updateReferenceElement

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGGradientUtilities

          public SVGGradientUtilities()

  - ### Method Detail

    - #### updateReferenceElement

          public static void updateReferenceElement​(org.w3c.dom.svg.SVGElement element,
                                                    String newId)

      updateReferenceElement
      Parameters:
        `element` - the the referenced `SVGElement`
        `newId` - newId to be set

    - #### updateReferenceElement

          public static void updateReferenceElement​(String baseUri,
                                                    String fragment,
                                                    String newBaseUri,
                                                    String newFragment,
                                                    Document doc)

      updateReferenceElement
      Parameters:
        `baseUri` - the URI
        `fragment` - the `Element` id
        `newBaseUri` - the new URI
        `newFragment` - the new `Element` id
        `doc` - the`Document`